import 'dart:async';
import 'dart:convert';

import 'package:http/http.dart';
import 'package:reflutter/reflutter.dart';
import 'requests/requests.dart';
import 'responses/responses.dart';

export 'requests/requests.dart';
export 'responses/responses.dart';

part 'oauth.api.dart';

@ReflutterHttp(name: 'SquareOAuth')
abstract class _SquareOAuthEndpoint {
  @Get('/oauth2/authorize')
  Future<ReflutterResponse<AuthorizeResponse>> authorize(
    @QueryParam('client_id') String clientId,
    @QueryParam() bool session, {
    @QueryParam('response_type') String responseType,
    @QueryParam() String scope,
    @QueryParam() String locale,
    @QueryParam() String state,
    @QueryParam('plan_id') String planId,
  });

  @Post('/oauth2/token')
  Future<ReflutterResponse<TokenResponse>> obtainToken(
      @Body() TokenRequest req);

  @Post('/oauth2/clients/:clientId/access-token/renew')
  Future<ReflutterResponse<RenewTokenResponse>> renewToken(
      @Param('client_id') String clientId, @Body() RenewTokenRequest req);

  @Post('/oauth2/revoke')
  Future<ReflutterResponse<RevokeTokenResponse>> revokeToken(
      @Body() RevokeTokenRequest req);
}
