import 'package:json_annotation/json_annotation.dart';

part 'token.g.dart';

@JsonSerializable()
class TokenRequest {
  @JsonValue('client_id')
  final String clientId;
  @JsonValue('client_secret')
  final String clientSecret;
  final String code;
  @JsonValue('redirect_uri')
  final String redirectUri;

  TokenRequest(this.clientId, this.clientSecret, this.code, this.redirectUri);

  factory TokenRequest.fromJson(Map<String, dynamic> json) =>
      _$TokenRequestFromJson(json);
  Map<String, dynamic> toJson() => _$TokenRequestToJson(this);
}

@JsonSerializable()
class RenewTokenRequest {
  @JsonValue('access_token')
  final String accessToken;

  RenewTokenRequest(this.accessToken);

  factory RenewTokenRequest.fromJson(Map<String, dynamic> json) =>
      _$RenewTokenRequestFromJson(json);
  Map<String, dynamic> toJson() => _$RenewTokenRequestToJson(this);
}

@JsonSerializable()
class RevokeTokenRequest {
  @JsonValue('access_token')
  final String accessToken;
  @JsonValue('client_id')
  final String clientId;
  @JsonValue('merchant_id')
  final String merchantId;

  RevokeTokenRequest(this.accessToken, this.clientId, this.merchantId);

  factory RevokeTokenRequest.fromJson(Map<String, dynamic> json) =>
      _$RevokeTokenRequestFromJson(json);
  Map<String, dynamic> toJson() => _$RevokeTokenRequestToJson(this);
}
