import 'package:json_annotation/json_annotation.dart';

part 'token.g.dart';

@JsonSerializable()
class TokenResponse {
  @JsonValue('access_token')
  final String accessToken;
  @JsonValue('token_type')
  final String tokenType;
  @JsonValue('expires_at')
  final String expiresAt;
  @JsonValue('merchant_id')
  final String merchantId;
  @JsonValue('subscription_id')
  final String subscriptionId;
  @JsonValue('plan_id')
  final String planId;

  TokenResponse(
      {this.accessToken,
      this.tokenType,
      this.expiresAt,
      this.merchantId,
      this.subscriptionId,
      this.planId});

  factory TokenResponse.fromJson(Map<String, dynamic> json) =>
      _$TokenResponseFromJson(json);
  Map<String, dynamic> toJson() => _$TokenResponseToJson(this);
}

@JsonSerializable()
class RenewTokenResponse {
  @JsonValue('access_token')
  final String accessToken;
  @JsonValue('token_type')
  final String tokenType;
  @JsonValue('expires_at')
  final String expiresAt;
  @JsonValue('merchant_id')
  final String merchantId;

  RenewTokenResponse(
      this.accessToken, this.tokenType, this.expiresAt, this.merchantId);

  factory RenewTokenResponse.fromJson(Map<String, dynamic> json) =>
      _$RenewTokenResponseFromJson(json);
  Map<String, dynamic> toJson() => _$RenewTokenResponseToJson(this);
}

@JsonSerializable()
class RevokeTokenResponse {
  final bool success;

  RevokeTokenResponse(this.success);

  factory RevokeTokenResponse.fromJson(Map<String, dynamic> json) =>
      _$RevokeTokenResponseFromJson(json);
  Map<String, dynamic> toJson() => _$RevokeTokenResponseToJson(this);
}
