import 'package:json_annotation/json_annotation.dart';
import 'package:squareapi/squareapi.dart';

part 'search.g.dart';

@JsonSerializable()
class SearchCatalogRequest {
  String cursor;
  @JsonValue('object_types')
  List<String> objectTypes;
  @JsonValue('include_deleted_objects')
  bool includeDeletedObjects;
  @JsonValue('include_related_objects')
  bool includeRelatedObjects;
  @JsonValue('begin_time')
  String beginTime;
  CatalogQuery query;
  int limit;

  SearchCatalogRequest(
      {this.cursor,
      this.objectTypes,
      this.includeDeletedObjects,
      this.includeRelatedObjects,
      this.beginTime,
      this.query,
      this.limit});

  factory SearchCatalogRequest.fromJson(Map<String, dynamic> json) =>
      _$SearchCatalogRequestFromJson(json);
  Map<String, dynamic> toJson() => _$SearchCatalogRequestToJson(this);
}
