import 'package:json_annotation/json_annotation.dart';
import 'package:squareapi/squareapi.dart';

part 'upsert.g.dart';

@JsonSerializable()
class UpsertCatalogResponse {
  final List<SquareError> errors;
  @JsonValue('catalog_object')
  final CatalogObject catalogObject;
  @JsonValue('id_mappings')
  final List<CatalogIdMapping> idMappings;

  UpsertCatalogResponse({this.errors, this.catalogObject, this.idMappings});

  factory UpsertCatalogResponse.fromJson(Map<String, dynamic> json) =>
      _$UpsertCatalogResponseFromJson(json);
  Map<String, dynamic> toJson() => _$UpsertCatalogResponseToJson(this);
}
