import 'dart:async';
import 'dart:convert';
import 'package:http/http.dart';
import 'package:reflutter/reflutter.dart';
import 'requests/requests.dart';
import 'responses/create.dart';

export 'requests/requests.dart';
export 'responses/responses.dart';

part 'checkout.api.dart';

@ReflutterHttp(name: 'SquareCheckout')
abstract class _SquareCheckoutEndpoint {
  @Post('/v2/locations/:locationId/checkouts')
  Future<ReflutterResponse<CreateCheckoutResponse>> create(
      @Param('location_id') String locationId,
      @Body() CreateCheckoutRequest body);
}
