import 'package:json_annotation/json_annotation.dart';
import 'package:squareapi/squareapi.dart';

part 'create.g.dart';

@JsonSerializable()
class CreateCheckoutRequest {
  @JsonValue('idempotency_key')
  final String idempotencyKey;
  final CheckoutOrderRequest order;
  @JsonValue('ask_for_shipping_address')
  bool askForShippingAddress;
  @JsonValue('merchant_support_email')
  String merchantSupportEmail;
  @JsonValue('pre_populate_buyer_email')
  String prePopulateBuyerEmail;
  @JsonValue('pre_populate_shipping_address')
  Address prePopulateShippingAddress;
  @JsonValue('redirect_url')
  String redirectUrl;
  @JsonValue('additional_recipients')
  List<ChargeRequestAdditionalRecipient> additionalRecipients;
  String note;

  CreateCheckoutRequest(this.idempotencyKey, this.order,
      {this.askForShippingAddress,
      this.merchantSupportEmail,
      this.prePopulateBuyerEmail,
      this.prePopulateShippingAddress,
      this.redirectUrl,
      this.note,
      this.additionalRecipients});

  factory CreateCheckoutRequest.fromJson(Map<String, dynamic> json) =>
      _$CreateCheckoutRequestFromJson(json);
  Map<String, dynamic> toJson() => _$CreateCheckoutRequestToJson(this);
}
