import 'package:json_annotation/json_annotation.dart';
import 'package:squareapi/squareapi.dart';

part 'create.g.dart';

@JsonSerializable()
class CreateCustomerRequest {
  @JsonValue('given_name')
  String givenName;
  @JsonValue('family_name')
  String familyName;
  @JsonValue('company_name')
  String companyName;
  String nickname;
  @JsonValue('email_address')
  String emailAddress;
  Address address;
  @JsonValue('phone_number')
  String phoneNumber;
  @JsonValue('reference_id')
  String referenceId;
  String note;
  String birthday;

  CreateCustomerRequest(
      {this.givenName,
      this.familyName,
      this.companyName,
      this.nickname,
      this.emailAddress,
      this.address,
      this.phoneNumber,
      this.referenceId,
      this.note,
      this.birthday});

  factory CreateCustomerRequest.fromJson(Map<String, dynamic> json) =>
      _$CreateCustomerRequestFromJson(json);
  Map<String, dynamic> toJson() => _$CreateCustomerRequestToJson(this);
}
