import 'package:json_annotation/json_annotation.dart';

part 'retrieve_changes.g.dart';

@JsonSerializable()
class BatchRetrieveChangesRequest {
  @JsonValue('catalog_object_ids')
  List<String> catalogObjectIds;
  @JsonValue('location_ids')
  List<String> locationIds;
  List<String> types;
  List<String> states;
  @JsonValue('updated_after')
  String updatedAfter;
  @JsonValue('updated_before')
  String updatedBefore;
  String cursor;

  BatchRetrieveChangesRequest(
      {this.catalogObjectIds,
      this.locationIds,
      this.types,
      this.states,
      this.updatedAfter,
      this.updatedBefore,
      this.cursor});

  factory BatchRetrieveChangesRequest.fromJson(Map<String, dynamic> json) =>
      _$BatchRetrieveChangesRequestFromJson(json);
  Map<String, dynamic> toJson() => _$BatchRetrieveChangesRequestToJson(this);
}
