import 'package:json_annotation/json_annotation.dart';
import 'package:squareapi/squareapi.dart';

part 'create.g.dart';

@JsonSerializable()
class CreateOrderRequest {
  @JsonValue('idempotency_key')
  String idempotencyKey;
  @JsonValue('reference_id')
  String referenceId;
  @JsonValue('line_items')
  final List<CreateOrderRequestLineItem> lineItems;
  List<CreateOrderRequestTax> taxes;
  List<CreateOrderRequestDiscount> discounts;

  CreateOrderRequest(this.lineItems,
      {this.idempotencyKey, this.referenceId, this.taxes, this.discounts});

  factory CreateOrderRequest.fromJson(Map<String, dynamic> json) =>
      _$CreateOrderRequestFromJson(json);
  Map<String, dynamic> toJson() => _$CreateOrderRequestToJson(this);
}
