import 'package:json_annotation/json_annotation.dart';
import 'package:squareapi/squareapi.dart';

part 'charge.g.dart';

@JsonSerializable()
class ChargeRequest {
  @JsonValue('idempotency_key')
  final String idempotencyKey;
  @JsonValue('amount_money')
  final Money amountMoney;
  @JsonValue('card_nonce')
  String cardNonce;
  @JsonValue('customer_card_id')
  String customerCardId;
  @JsonValue('delay_capture')
  bool delayCapture;
  @JsonValue('reference_id')
  String referenceId;
  String note;
  @JsonValue('customer_id')
  String customerId;
  @JsonValue('billing_address')
  Address billingAddress;
  @JsonValue('shipping_address')
  Address shippingAddress;
  @JsonValue('buyer_email_address')
  String buyerEmailAddress;
  @JsonValue('order_id')
  String orderId;
  @JsonValue('additional_recipients')
  List<AdditionalRecipient> additionalRecipients;

  ChargeRequest(this.idempotencyKey, this.amountMoney,
      {this.cardNonce,
      this.customerCardId,
      this.delayCapture,
      this.referenceId,
      this.note,
      this.customerId,
      this.billingAddress,
      this.shippingAddress,
      this.buyerEmailAddress,
      this.orderId,
      this.additionalRecipients});

  factory ChargeRequest.fromJson(Map<String, dynamic> json) =>
      _$ChargeRequestFromJson(json);
  Map<String, dynamic> toJson() => _$ChargeRequestToJson(this);
}
