import 'package:json_annotation/json_annotation.dart';
import 'package:squareapi/squareapi.dart';

part 'checkout_object.g.dart';

@JsonSerializable()
class Checkout {
  final String id;
  @JsonValue('checkout_page_url')
  final String checkoutPageUrl;
  @JsonValue('ask_for_shipping_address')
  final bool askforShippingAddress;
  @JsonValue('merchant_support_email')
  final String merchantSupportEmail;
  @JsonValue('pre_populate_shipping_address')
  final Address prePopulateShippingAddress;
  @JsonValue('redirect_url')
  final String redirectUrl;
  final Order order;
  @JsonValue('additional_recipients')
  final List<AdditionalRecipient> additionalRecipients;

  Checkout(
      {this.id,
      this.checkoutPageUrl,
      this.askforShippingAddress,
      this.merchantSupportEmail,
      this.prePopulateShippingAddress,
      this.redirectUrl,
      this.order,
      this.additionalRecipients});

  factory Checkout.fromJson(Map<String, dynamic> json) =>
      _$CheckoutFromJson(json);
  Map<String, dynamic> toJson() => _$CheckoutToJson(this);
}
