import 'package:json_annotation/json_annotation.dart';
import 'package:squareapi/squareapi.dart';

part 'checkout_order.g.dart';

@JsonSerializable()
class CheckoutOrderRequest {
  @JsonValue('idempotency_key')
  String idempotencyKey;
  @JsonValue('reference_id')
  String referenceId;
  @JsonValue('line_items')
  List<RequestLineItem> lineItems;
  List<RequestTax> taxes;
  List<RequestDiscount> discounts;

  CheckoutOrderRequest(
      {this.idempotencyKey,
      this.referenceId,
      this.lineItems,
      this.taxes,
      this.discounts});

  factory CheckoutOrderRequest.fromJson(Map<String, dynamic> json) =>
      _$CheckoutOrderRequestFromJson(json);
  Map<String, dynamic> toJson() => _$CheckoutOrderRequestToJson(this);
}
