import 'package:json_annotation/json_annotation.dart';
import 'package:squareapi/squareapi.dart';

part 'request_lineitem.g.dart';

@JsonSerializable()
class RequestLineItem {
  String name;
  String quantity;
  @JsonValue('base_price_money')
  Money basePriceMoney;
  @JsonValue('variation_name')
  String variationName;
  String note;
  @JsonValue('catalog_object_id')
  String catalogObjectId;
  List<RequestModifier> modifiers;
  List<RequestTax> taxes;
  List<RequestDiscount> discounts;

  RequestLineItem(
      {this.catalogObjectId,
      this.name,
      this.quantity,
      this.basePriceMoney,
      this.variationName,
      this.note,
      this.modifiers,
      this.discounts,
      this.taxes});

  factory RequestLineItem.fromJson(Map<String, dynamic> json) =>
      _$RequestLineItemFromJson(json);
  Map<String, dynamic> toJson() => _$RequestLineItemToJson(this);
}
