import 'package:json_annotation/json_annotation.dart';
import 'package:squareapi/squareapi.dart';

part 'customer.g.dart';

@JsonSerializable()
class Customer {
  final String id;
  @JsonValue('created_at')
  final String createdAt;
  @JsonValue('updated_at')
  final String updatedAt;
  final List<Card> cards;
  @JsonValue('given_name')
  final String givenName;
  @JsonValue('family_name')
  final String familyName;
  final String nickname;
  @JsonValue('company_name')
  final String companyName;
  @JsonValue('email_address')
  final String emailAddress;
  final Address address;
  @JsonValue('phone_number')
  final String phoneNumber;
  final String birthday;
  @JsonValue('reference_id')
  final String referenceId;
  final String note;
  final CustomerPreferences preferences;
  final List<CustomerGroupInfo> groups;
  @JsonValue('creations_source')
  final String creationSource;

  Customer(
      {this.id,
      this.createdAt,
      this.updatedAt,
      this.cards,
      this.givenName,
      this.familyName,
      this.nickname,
      this.companyName,
      this.emailAddress,
      this.address,
      this.phoneNumber,
      this.birthday,
      this.referenceId,
      this.note,
      this.preferences,
      this.groups,
      this.creationSource});

  factory Customer.fromJson(Map<String, dynamic> json) =>
      _$CustomerFromJson(json);
  Map<String, dynamic> toJson() => _$CustomerToJson(this);
}
