import 'package:json_annotation/json_annotation.dart';
import 'package:squareapi/squareapi.dart';

part 'adjustment.g.dart';

@JsonSerializable()
class InventoryAdjustment {
  final String id;
  @JsonValue('reference_id')
  final String referenceId;
  @JsonValue('from_state')
  final String fromState;
  @JsonValue('to_state')
  final String toState;
  @JsonValue('location_id')
  final String locationId;
  @JsonValue('catalog_object_id')
  final String catalogObjectId;
  @JsonValue('catalog_object_type')
  final String catalogObjectType;
  final String quantity;
  @JsonValue('total_price_money')
  final Money totalPriceMoney;
  @JsonValue('occurred_at')
  final String occurredAt;
  @JsonValue('created_at')
  final String createdAt;
  final SourceApplication source;
  @JsonValue('employee_id')
  final String employeeId;
  @JsonValue('transaction_id')
  final String transactionId;
  @JsonValue('refund_id')
  final String refundId;
  @JsonValue('purchase_order_id')
  final String purchaseOrderId;
  @JsonValue('goods_receipt_id')
  final String goodsReceiptId;

  InventoryAdjustment(
      {this.id,
      this.referenceId,
      this.fromState,
      this.toState,
      this.locationId,
      this.catalogObjectId,
      this.catalogObjectType,
      this.quantity,
      this.totalPriceMoney,
      this.occurredAt,
      this.createdAt,
      this.source,
      this.employeeId,
      this.transactionId,
      this.refundId,
      this.purchaseOrderId,
      this.goodsReceiptId});

  factory InventoryAdjustment.fromJson(Map<String, dynamic> json) =>
      _$InventoryAdjustmentFromJson(json);
  Map<String, dynamic> toJson() => _$InventoryAdjustmentToJson(this);
}
