import 'package:json_annotation/json_annotation.dart';
import 'package:squareapi/squareapi.dart';

part 'physical_count.g.dart';

@JsonSerializable()
class InventoryPhysicalCount {
  final String id;
  @JsonValue('reference_id')
  final String referenceId;
  @JsonValue('catalog_object_id')
  final String catalogObjectId;
  @JsonValue('catalog_object_type')
  final String catalogObjectType;
  final String state;
  @JsonValue('location_id')
  final String locationId;
  final String quantity;
  final SourceApplication source;
  @JsonValue('employee_id')
  final String employeeId;
  @JsonValue('occurred_at')
  final String occurredAt;
  @JsonValue('created_at')
  final String createdAt;

  InventoryPhysicalCount(
      {this.id,
      this.referenceId,
      this.catalogObjectId,
      this.catalogObjectType,
      this.state,
      this.locationId,
      this.quantity,
      this.source,
      this.employeeId,
      this.occurredAt,
      this.createdAt});

  factory InventoryPhysicalCount.fromJson(Map<String, dynamic> json) =>
      _$InventoryPhysicalCountFromJson(json);
  Map<String, dynamic> toJson() => _$InventoryPhysicalCountToJson(this);
}
