import 'package:json_annotation/json_annotation.dart';
import 'package:squareapi/squareapi.dart';

part 'transfer.g.dart';

@JsonSerializable()
class InventoryTransfer {
  final String id;
  @JsonValue('reference_id')
  final String referenceId;
  final String state;
  @JsonValue('from_location_id')
  final String fromLocationId;
  @JsonValue('to_location_id')
  final String toLocationId;
  @JsonValue('catalog_object_id')
  final String catalogObjectId;
  @JsonValue('catalog_object_type')
  final String catalogObjectType;
  final String quantity;
  final SourceApplication source;
  @JsonValue('employee_id')
  final String employeeId;
  @JsonValue('occurred_at')
  final String occurredAt;
  @JsonValue('created_at')
  final String createdAt;

  InventoryTransfer(
      {this.id,
      this.referenceId,
      this.catalogObjectId,
      this.catalogObjectType,
      this.state,
      this.toLocationId,
      this.fromLocationId,
      this.quantity,
      this.source,
      this.employeeId,
      this.occurredAt,
      this.createdAt});

  factory InventoryTransfer.fromJson(Map<String, dynamic> json) =>
      _$InventoryTransferFromJson(json);
  Map<String, dynamic> toJson() => _$InventoryTransferToJson(this);
}
