import 'package:json_annotation/json_annotation.dart';
import 'package:squareapi/squareapi.dart';

part 'location.g.dart';

@JsonSerializable()
class Location {
  final String id;
  final String name;
  final Address address;
  final String timezone;
  final List<String> capabilities;
  final String status;
  @JsonValue('created_at')
  final String createdAt;
  @JsonValue('merchant_id')
  final String merchantId;
  final String country;
  @JsonValue('language_code')
  final String languageCode;
  final String currency;
  @JsonValue('phone_number')
  final String phoneNumber;
  @JsonValue('business_name')
  final String businessName;
  final String type;
  @JsonValue('website_url')
  final String websiteUrl;

  Location(
      {this.id,
      this.name,
      this.address,
      this.timezone,
      this.capabilities,
      this.status,
      this.createdAt,
      this.merchantId,
      this.country,
      this.languageCode,
      this.currency,
      this.phoneNumber,
      this.businessName,
      this.type,
      this.websiteUrl});

  factory Location.fromJson(Map<String, dynamic> json) =>
      _$LocationFromJson(json);
  Map<String, dynamic> toJson() => _$LocationToJson(this);
}
