import 'package:json_annotation/json_annotation.dart';
import 'package:squareapi/squareapi.dart';

part 'lineitem.g.dart';

@JsonSerializable()
class CreateOrderRequestLineItem {
  final String name;
  final String quantity;
  @JsonValue('base_price_money')
  final Money basePrice;
  @JsonValue('variation_name')
  final String variationName;
  final String note;
  @JsonValue('catalog_object_id')
  final String catalogObjectId;
  final List<CreateOrderRequestModifier> modifiers;
  final List<CreateOrderRequestTax> taxes;
  final List<CreateOrderRequestDiscount> discounts;

  CreateOrderRequestLineItem(
      {this.name,
      this.quantity,
      this.basePrice,
      this.variationName,
      this.note,
      this.catalogObjectId,
      this.modifiers,
      this.taxes,
      this.discounts});

  factory CreateOrderRequestLineItem.fromJson(Map<String, dynamic> json) =>
      _$CreateOrderRequestLineItemFromJson(json);
  Map<String, dynamic> toJson() => _$CreateOrderRequestLineItemToJson(this);
}
